
QGIS Application - Bug report #12254

MSSQL 2008 SRID not recognized

2015-02-24 09:44 AM - Peter Moore

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20439

Description

When connecting with QGIS 2.6 to MS SQL Server 2008, the SRID is not recognised and the projection has to be manually set. The

records within the database tables are all set to the same SRID of 4248.

As part of the testing, we copied the database tables from SQL Server 2008 to a PostGIS 2.0 database and when connected to the

PostGIS system with QGIS the SRID is recognised.

Associated revisions

Revision 9c73a22a - 2015-06-19 03:37 AM - Nathan Woodrow

Fix #12254 - Fix lookup of SRID for SQL Server layers

Revision fedced84 - 2015-06-19 05:56 AM - Nathan Woodrow

Fix #12254 - Fix lookup of SRID for SQL Server layers

Funded by TechnoglogyOne, Australia

- Backported to 2.8.3

- Cherry-picked from 9c73a22af52f3eec3959f2ed0e6953a6443d875b

History

#1 - 2015-02-24 01:25 PM - Giovanni Manghi

- Subject changed from SQL 2008 SRID to MSSQL 2008 SRID not recognized

- Affected QGIS version changed from 2.8.0 to 2.6.0

- Status changed from Open to Feedback

- Category set to Data Provider/MSSQL

How about the latest qgis release (2.8)?

#2 - 2015-02-25 05:23 AM - Peter Moore

- File QGIS_MSSQL.png added

Yes - I can confirm that this problem exists in QGIS 2.8.0 Wien. This problem exists if the data is also read from MSSQL 2008 R2 as well as MSSQL
2008. I have attached a screen shot showing the projection once the data has been loaded.

#3 - 2015-05-11 12:41 AM - Giovanni Manghi

- Affected QGIS version changed from 2.6.0 to 2.8.0

- Status changed from Feedback to Open

#4 - 2015-06-18 06:43 PM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"9c73a22af52f3eec3959f2ed0e6953a6443d875b".
